diff --git a/deploy/build_env/centos/Dockerfile.7.9.2009 b/deploy/build_env/centos/Dockerfile.7.9.2009
index 22c443a7b590b0f5601a94fe7d4ec7e879a349ea..a800bd13fe57b5c6b0ea3e57e89b7395c1c93d37 100644
--- a/deploy/build_env/centos/Dockerfile.7.9.2009
+++ b/deploy/build_env/centos/Dockerfile.7.9.2009
@@ -2,7 +2,7 @@ from centos:7.9.2009
 
 RUN yum update -y && yum install -y epel-release make g++ python python3 git wget rpm-build
 RUN yum -y install gcc gcc-c++ glibc-static libstdc++-static zlib-devel libcurl-devel python-pip python3-pip python-devel python3-devel numpy python3-numpy
-RUN pip install --upgrade pip
+#RUN pip install --upgrade pip
 RUN pip install cython
 RUN pip3 install cython
 
diff --git a/tests/automatic/full_chain/simple_chain_filegen/check_linux.sh b/tests/automatic/full_chain/simple_chain_filegen/check_linux.sh
index 574ecb64874ed538baa03bd16e2113029c6f4e3b..b2e8905f5967d5b4924ab406e62834acea85cac7 100644
--- a/tests/automatic/full_chain/simple_chain_filegen/check_linux.sh
+++ b/tests/automatic/full_chain/simple_chain_filegen/check_linux.sh
@@ -41,6 +41,7 @@ sleep 1
 mkdir  /tmp/asapo/test_in/processed/test1
 mkdir  /tmp/asapo/test_in/processed/test2
 
+sleep 1
 
 echo hello > /tmp/asapo/test_in/processed/test1/file1
 echo hello > /tmp/asapo/test_in/processed/test1/file2
diff --git a/tests/automatic/full_chain/simple_chain_filegen_batches/check_linux.sh b/tests/automatic/full_chain/simple_chain_filegen_batches/check_linux.sh
index fa9bb68319f07390fb3e747856b252eac9792b18..ca07ab0fe4ad8a6f406ad16ebad722a9dcfb86e0 100644
--- a/tests/automatic/full_chain/simple_chain_filegen_batches/check_linux.sh
+++ b/tests/automatic/full_chain/simple_chain_filegen_batches/check_linux.sh
@@ -44,6 +44,8 @@ sleep 1
 mkdir  /tmp/asapo/test_in/processed/test1
 mkdir  /tmp/asapo/test_in/processed/test2
 
+sleep 1
+
 echo hello > /tmp/asapo/test_in/processed/test1/file1
 echo hello > /tmp/asapo/test_in/processed/test1/file2
 echo hello > /tmp/asapo/test_in/processed/test2/file1
diff --git a/tests/automatic/full_chain/simple_chain_filegen_multisource/check_linux.sh b/tests/automatic/full_chain/simple_chain_filegen_multisource/check_linux.sh
index 3667ba2ed424d8613c517eea3cd63d316382ad80..b3f7a47aca323086987f0908b55a452b506f539b 100644
--- a/tests/automatic/full_chain/simple_chain_filegen_multisource/check_linux.sh
+++ b/tests/automatic/full_chain/simple_chain_filegen_multisource/check_linux.sh
@@ -50,6 +50,8 @@ sleep 1
 mkdir -p /tmp/asapo/test_in1/processed/test1
 mkdir -p /tmp/asapo/test_in2/processed/test2
 
+sleep 1
+
 echo hello > /tmp/asapo/test_in1/processed/test1/file1
 echo hello > /tmp/asapo/test_in1/processed/test1/file2
 echo hello > /tmp/asapo/test_in2/processed/test2/file1
diff --git a/tests/automatic/full_chain/simple_chain_filegen_readdata_cache/check_linux.sh b/tests/automatic/full_chain/simple_chain_filegen_readdata_cache/check_linux.sh
index 75f55f13a47f542f8bfeec9a893c9842b78d2f4c..7c22a733b5cb10e57e9f004b82951b63decd339f 100644
--- a/tests/automatic/full_chain/simple_chain_filegen_readdata_cache/check_linux.sh
+++ b/tests/automatic/full_chain/simple_chain_filegen_readdata_cache/check_linux.sh
@@ -29,6 +29,13 @@ Cleanup() {
     if [[ $network_type == "fabric" ]]; then
       nomad stop receiver
       nomad run receiver_tcp.nmd
+      while true
+      do
+        sleep 1
+        curl --silent 127.0.0.1:8400/asapo-discovery/v0.1/asapo-receiver?protocol=v0.1 --stderr - | grep 127.0.0.1  || continue
+        echo recevier started
+        break
+      done
     fi
     kill -9 $producerid
     rm -rf /tmp/asapo/test_in
@@ -41,6 +48,13 @@ Cleanup() {
 if [[ $network_type == "fabric" ]]; then
     nomad stop receiver
     nomad run receiver_fabric.nmd
+    while true
+    do
+      sleep 1
+      curl --silent 127.0.0.1:8400/asapo-discovery/v0.1/asapo-receiver?protocol=v0.1 --stderr - | grep 127.0.0.1  || continue
+      echo recevier started
+      break
+    done
 fi
 
 token=`$3 token -endpoint http://localhost:8400/asapo-authorizer -secret admin_token.key -types read $beamtime_id`
@@ -54,6 +68,8 @@ sleep 1
 mkdir  /tmp/asapo/test_in/processed/test1
 mkdir  /tmp/asapo/test_in/processed/test2
 
+sleep 1
+
 echo -n hello1 > /tmp/asapo/test_in/processed/test1/file1
 echo -n hello2 > /tmp/asapo/test_in/processed/test1/file2
 echo -n hello3 > /tmp/asapo/test_in/processed/test2/file1
diff --git a/tests/automatic/full_chain/simple_chain_filegen_readdata_file/check_linux.sh b/tests/automatic/full_chain/simple_chain_filegen_readdata_file/check_linux.sh
index 5cfa9a4e7f821b70a338658dc70bece5d4e3d0f2..e3f49565c663a9e7cb61283ff932abf0e0165414 100644
--- a/tests/automatic/full_chain/simple_chain_filegen_readdata_file/check_linux.sh
+++ b/tests/automatic/full_chain/simple_chain_filegen_readdata_file/check_linux.sh
@@ -43,6 +43,7 @@ producerid=`echo $!`
 sleep 1
 mkdir  /tmp/asapo/test_in/processed/test1
 mkdir  /tmp/asapo/test_in/processed/test2
+sleep 1
 
 echo -n hello1 > /tmp/asapo/test_in/processed/test1/file1
 echo -n hello2 > /tmp/asapo/test_in/processed/test1/file2
diff --git a/tests/automatic/full_chain/two_beamlines/check_linux.sh b/tests/automatic/full_chain/two_beamlines/check_linux.sh
index eaa344330bdae41c79f89e0034964fe610214e64..057dd44c055fd9359f18e312078b51ba722b7c16 100644
--- a/tests/automatic/full_chain/two_beamlines/check_linux.sh
+++ b/tests/automatic/full_chain/two_beamlines/check_linux.sh
@@ -32,6 +32,13 @@ Cleanup() {
     if [[ $network_type == "fabric" ]]; then
       nomad stop receiver
       nomad run receiver_tcp.nmd
+      while true
+      do
+        sleep 1
+        curl --silent 127.0.0.1:8400/asapo-discovery/v0.1/asapo-receiver?protocol=v0.1 --stderr - | grep 127.0.0.1  || continue
+        echo recevier started
+        break
+      done
     fi
     rm -rf ${receiver_root_folder}
     echo "db.dropDatabase()" | mongo ${beamtime_id1}_${data_source}
@@ -42,6 +49,13 @@ Cleanup() {
 if [[ $network_type == "fabric" ]]; then
     nomad stop receiver
     nomad run receiver_fabric.nmd
+    while true
+    do
+      sleep 1
+      curl --silent 127.0.0.1:8400/asapo-discovery/v0.1/asapo-receiver?protocol=v0.1 --stderr - | grep 127.0.0.1  || continue
+      echo recevier started
+      break
+    done
 fi
 
 token1=`$asapo_tool_bin token -endpoint http://localhost:8400/asapo-authorizer -secret admin_token.key -types read $beamtime_id1`